Wireshark 2.9.0-477-g68ec514b The Wireshark network protocol analyzer

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Public Attributes | List of all members
budb Interface Reference

## Classes
struct | budb_dbVolume
struct | budb_dumpEntry
struct | budb_dumpList
struct | budb_principal
struct | budb_tapeEntry
struct | budb_tapeList
struct | budb_tapeSet
struct | budb_volumeEntry
struct | budb_volumeList
struct | charListT
struct | DbHeader
struct | dfs_interfaceDescription
struct | dfs_interfaceList
struct | structDumpHeader

## Public Member Functions
WERROR | AddVolume ([ref, in] budb_volumeEntry *vol)
WERROR | CreateDump ([ref, in, out] budb_dumpEntry *dump)
WERROR | DeleteDump ([in] uint32 id)
WERROR | DeleteTape ([ref, in] budb_tapeEntry *tape)
WERROR | DeleteVDP ([in] budbNameString_t *dsname, [in] budbNameString_t *dumpPath, [in] int32 curDumpId)
WERROR | FindClone ([in] int32 dumpID, [in] budbNameString_t *volName, [ref, out] uint32 *clonetime, [ref, out] uint32 *cloneSpare)
WERROR | FindDump ([in] budbNameString_t *volName, [in] uint32 beforeDate, [in] uint32 dateSpare, [ref, out] budb_dumpEntry *deptr)
WERROR | FindLatestDump ([in] budbNameString_t *vsname, [in] budbNameString_t *dname, [ref, out] budb_dumpEntry *dumpentry)
WERROR | FinishDump ([ref, in, out] budb_dumpEntry *dump)
WERROR | FinishTape ([ref, in] budb_tapeEntry *tape)
WERROR | GetDumps ([in] int32 majorVersion, [in] int32 flags, [in] budbNameString_t *name, [in] int32 start, [in] int32 end, [in] int32 index, [ref, out] int32 *nextIndex, [ref, out] int32 *dbUpdate, [out] budb_dumpList **dumps)
WERROR | GetTapes ([in] int32 majorVersion, [in] int32 flags, [in] budbNameString_t *name, [in] int32 start, [in] int32 end, [in] int32 index, [ref, out] int32 *nextIndex, [ref, out] int32 *dbUpdate, [out] budb_tapeList **tapes)
WERROR | GetVolumes ([in] int32 majorVersion, [in] int32 flags, [in] budbNameString_t *name, [in] int32 start, [in] int32 end, [in] int32 index, [ref, out] int32 *nextIndex, [ref, out] int32 *dbUpdate, [out] budb_volumeList **volumes)
WERROR | UseTape ([ref, in] budb_tapeEntry *tape, [ref, out] int32 *new)
WERROR | GetText ([in] int32 lockHandle, [in] int32 textType, [in] int32 maxLength, [in] int32 offset, [ref, out] int32 *nextOffset, [ref, out] charListT *charListPtr)
WERROR | GetTextVersion ([in] int32 textType, [ref, out] int32 *tversion)
WERROR | SaveText ([in] int32 lockHandle, [in] int32 textType, [in] int32 offset, [in] int32 flags, [ref, in] charListT *charListPtr)
WERROR | FreeAllLocks ([in] uint32 instanceId)
WERROR | FreeLock ([in] uint32 lockHandle)
WERROR | GetInstanceId ([ref, out] uint32 *instanceId)
WERROR | GetLock ([in] uint32 instanceId, [in] int32 lockName, [in] int32 expiration, [ref, out] uint32 *lockHandle)
WERROR | DbVerify ([ref, out] int32 *status, [ref, out] int32 *orphans, [ref, out] int32 *host)
WERROR | DumpDB ([in] int32 maxLength, [ref, out] int32 *flags, [ref, out] charListT *charListPtr)
WERROR | RestoreDbHeader ([ref, in] DbHeader *header)
WERROR | T_GetVersion ([ref, out] int32 *majorVersion)
WERROR | T_DumpHashTable ([in] int32 type, [in] budbNameString_t *filename)
WERROR | T_DumpDatabase ([in] budbNameString_t *filename)
WERROR | GetServerInterfaces ([ref, in, out] dfs_interfaceList *serverInterfacesP)
WERROR | AddVolumes ([in] uint32 cnt, [in, size_is(cnt)] budb_volumeEntry vol[])

## Public Attributes
const long | BU_MAXNAMELEN = 128
const long | BU_MAXTAPELEN = 256
const long | BU_MAXHOSTLEN = 128
const long | BU_MAXTOKENLEN = 16
const long | BU_MAXUNAMELEN = 256
const long | BU_MAXCELLLEN = 256
const long | BU_MAXINAMELEN = 128
const long | BU_MAXPATHLEN = 256
const long | BU_MAXGENNAMELEN = 512
const long | BU_MAXVOLCOUNT = 64
const long | BUDB_MAJORVERSION = 1
const long | BUDB_PROVIDER_VERSION = 2
const long | TB_DUMPSCHEDULE = 0
const long | TB_VOLUMESET = 1
const long | TB_TAPEHOSTS = 2
const long | TB_NUM = 3
const long | TB_MAX = 6
const long | BUDB_DUMP_INCOMPLETE = 1<<0
const long | BUDB_DUMP_TAPEERROR = 1<<1
const long | BUDB_DUMP_INPROGRESS = 1<<2
const long | BUDB_DUMP_ABORTED = 1<<3
const long | BUDB_TAPE_TAPEERROR = 1<<0
const long | BUDB_TAPE_DELETED = 1<<1
const long | BUDB_TAPE_BEINGWRITTEN = 1<<2
const long | BUDB_TAPE_ABORTED = 1<<3
const long | BUDB_TAPE_STAGED = 1<<4
const long | BUDB_TAPE_WRITTEN = 1<<5
const long | BUDB_VOL_TAPEERROR = 1<<0
const long | BUDB_VOL_FILEERROR = 1<<1
const long | BUDB_VOL_BEINGWRITTEN = 1<<2
const long | BUDB_VOL_FIRSTFRAG = 1<<3
const long | BUDB_VOL_LASTFRAG = 1<<4
const long | BUDB_VOL_ABORTED = 1<<5
const long | BUDB_OP_NAMES = 0x7
const long | BUDB_OP_STARTS = 0x7<<3
const long | BUDB_OP_ENDS = 0x7<<6
const long | BUDB_OP_TIMES = 0x3<<9
const long | BUDB_OP_MISC = 0xff<<16
const long | BUDB_OP_DUMPNAME = 1<<0
const long | BUDB_OP_VOLUMENAME = 2<<0
const long | BUDB_OP_TAPENAME = 3<<0
const long | BUDB_OP_STARTTIME = 1<<3
const long | BUDB_OP_RANGE = 1<<6
const long | BUDB_OP_NPREVIOUS = 2<<6
const long | BUDB_OP_NFOLLOWING = 3<<6
const long | BUDB_OP_DUMPID = 2<<3
const long | BUDB_OP_CLONETIME = 1<<9
const long | BUDB_OP_DUMPTIME = 2<<9
const long | BUDB_OP_INCTIME = 3<<9
const long | BUDB_OP_FIRSTFRAG = 1<<16
const long | BUDB_MAX_RETURN_LIST = 1000
const long | BUDB_MAX_CHAR_LIST = 1024
const long | BUDB_MAX_VOL_COUNT = 64
const long | BUDB_TEXT_COMPLETE = 1
const long | SD_DBHEADER = 1
const long | SD_DUMP = 2
const long | SD_TAPE = 3
const long | SD_VOLUME = 4
const long | SD_TEXT_DUMPSCHEDULE = 5
const long | SD_TEXT_VOLUMESET = 6
const long | SD_TEXT_TAPEHOSTS = 7
const long | SD_END = 8

The documentation for this interface was generated from the following file:

- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/epan/dissectors/dcerpc/budb/budb.idl